Page MenuHomePhabricator

Move helper banner functions to WikidataPageBannerFunctions
Closed, ResolvedPublic

Description

For clarity reasons, move helper methods from WikidataPageBanner hooks to WikidataPageBannerFunctions.

Details

Related Gerrit Patches:
mediawiki/extensions/WikidataPageBanner : masterWikidataPageBanner hygiene - move non-hook methods

Event Timeline

Sumit created this task.Aug 3 2015, 2:02 PM
Sumit raised the priority of this task from to Needs Triage.
Sumit updated the task description. (Show Details)
Sumit added a project: Wikidata-Page-Banner.
Sumit moved this task to June 26-July 18 on the Wikidata-Page-Banner board.
Sumit added subscribers: Sumit, Jdlrobson.
Restricted Application added a project: Wikidata. · View Herald TranscriptAug 3 2015, 2:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Sumit renamed this task from Move banner parameters to a function to Move helper banner functions to WikidataPageBannerFunctions.Aug 5 2015, 2:47 PM
Sumit updated the task description. (Show Details)
Sumit removed a project: Wikidata.
Sumit set Security to None.

Change 229389 had a related patch set uploaded (by Sumit):
WikidataPageBanner hygiene - move non-hook methods

https://gerrit.wikimedia.org/r/229389

Change 229389 merged by jenkins-bot:
WikidataPageBanner hygiene - move non-hook methods

https://gerrit.wikimedia.org/r/229389

Jdlrobson closed this task as Resolved.Aug 11 2015, 12:36 AM
Jdlrobson claimed this task.